Page MenuHomePhabricator

AMDGPU: Constant fold when immediate is materialized
ClosedPublic

Authored by arsenm on Dec 15 2016, 12:16 PM.

Details

Reviewers
tstellarAMD
Summary

In future commits these patterns will appear after moveToVALU changes.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 81632.Dec 15 2016, 12:16 PM
arsenm retitled this revision from to AMDGPU: Constant fold when immediate is materialized.
arsenm updated this object.
arsenm added a subscriber: llvm-commits.
tstellarAMD accepted this revision.Dec 22 2016, 8:33 AM
tstellarAMD edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Dec 22 2016, 8:33 AM
arsenm closed this revision.Jan 10 2017, 3:43 PM

r291615